Bug 125396 - [CSS Grid Layout] Do log(n) search in the named line vectors when positioning named line spans
Summary: [CSS Grid Layout] Do log(n) search in the named line vectors when positioning...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Layout and Rendering (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords: BlinkMergeCandidate
Depends on:
Blocks: 133304
  Show dependency treegraph
 
Reported: 2013-12-07 13:14 PST by Ryosuke Niwa
Modified: 2014-05-27 07:38 PDT (History)
13 users (show)

See Also:


Attachments
Patch (4.01 KB, patch)
2013-12-10 04:28 PST, László Langó
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ryosuke Niwa 2013-12-07 13:14:44 PST
Consider merging https://chromium.googlesource.com/chromium/blink/+/9fc477af0be708c490a6b90e65e412b0c22b161f

Implement the suggested FIXMEs and do a log search in the named line
vectors. This maintains the previous (somewhat tricky) behavior by
using std::lower_bound and std::upper_bound. No difference in existing
performance tests, but should scale much better for big grids.
Comment 1 László Langó 2013-12-10 04:28:01 PST
Created attachment 218852 [details]
Patch
Comment 2 Andreas Kling 2014-01-30 23:35:48 PST
Comment on attachment 218852 [details]
Patch

OK
Comment 3 WebKit Commit Bot 2014-01-31 00:05:30 PST
Comment on attachment 218852 [details]
Patch

Clearing flags on attachment: 218852

Committed r163166: <http://trac.webkit.org/changeset/163166>
Comment 4 WebKit Commit Bot 2014-01-31 00:05:34 PST
All reviewed patches have been landed.  Closing bug.